import { httpServer } from "./net/http_server";
import { initConfig, systemConfig } from "./config/serverConfig";
import { DataExtractor } from "./component/data_extractor";
// import { test2 } from "./test";
let fs = require('fs');

async function lanuch() {
    await initConfig();
    httpServer.createServer( systemConfig.port );
    // console.log('This indicates that the server is started successfully.');
    try {
        const dataExtractor = DataExtractor.getInstance();
        const availableFiles = dataExtractor.getAvailableFiles();
        console.log('Available files:', availableFiles);

        const combinedData = availableFiles.reduce((accumulator, fileName) => {
            const data = dataExtractor.getData(fileName);
            accumulator[fileName] = data;
            return accumulator;
        }, {} as { [key: string]: any });

        console.log('Combined data:', JSON.stringify(combinedData, null, 2));
    } catch (error) {
        console.error('Error extracting data:', error.message);
    }
    // test();
    // test2();
}

lanuch();







